VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IReference Class Referenceabstract
Inheritance diagram for IReference:

## Public Member Functions
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0
virtual void | remember ()=0
| increase refcount

## Member Function Documentation

virtual void forget | ( |  | ) |
| pure virtual

decrease refcount and delete object if refcount == 0

Implemented in ReferenceCounted< T >.

virtual void remember | ( |  | ) |
| pure virtual

increase refcount

Implemented in ReferenceCounted< T >.

The documentation for this class was generated from the following file:

- vstguibase.h